
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

function LTrim ( parTexto )
{
    return parTexto.replace( /^\s*/, "" );
}

function RTrim ( parTexto )
{
    return parTexto.replace( /\s*$/, "" );
}

function Trim ( parTexto )
{
    return RTrim(LTrim(parTexto));
}


function LimpaString(parNumero){
    // Deixa so os digitos no numero
    var l_js_Digitos = "0123456789";
    var l_js_Retorno = "";
    var l_js_Digito = "";
    for (var l_js_Contador=0; l_js_Contador < parNumero.length; l_js_Contador++) {
    l_js_Digito = parNumero.charAt(l_js_Contador);
    if (l_js_Digitos.indexOf(l_js_Digito) >= 0) {
            l_js_Retorno = l_js_Retorno + l_js_Digito
        }
  }
  return l_js_Retorno
}

function ValidaEmail( pEmail )
{
    var iPos;
    var sNome, sDominio;

    pEmail = Trim (pEmail);

    if (pEmail.length == 0) return false;

    if ((pEmail.indexOf("@") != pEmail.lastIndexOf("@")) || (pEmail.indexOf("@") <= 0))
    {
        return false;
    }

    iPos = pEmail.indexOf("@");
    sNome = pEmail.substring(0, iPos);
    sDominio = pEmail.substring(iPos+1, pEmail.length);

    if (sNome.length == 0) return(false);
    if (sDominio.length == 0) return(false);

    if ((sDominio.indexOf(".") == -1) || (sDominio.lastIndexOf(".") == sDominio.length-1))
    {
        return false;
    }

    return true;
}



function ValidaData( pData )
{
    var dt;
    var i, j;
    var sChar;
    var fc_dia, fc_mes, fc_ano;


    pData = Trim(pData);

    if (pData.length == 0) return false;

    // Separa a string em dia, mأھs e ano
    i = pData.indexOf("/");
    if (i <= 0)  return false;
    j = pData.indexOf("/", i+1);
    if (j == -1) return false;
    fc_dia = pData.substring(0, i);
    fc_mes = pData.substring(i+1, j);
    fc_ano = pData.substring(j+1, pData.length);

    // Verifica nأ؛mero de dأ­gitos
    if (fc_dia.length != 2)  return false;
    if (fc_mes.length != 2)  return false;
    if (fc_ano.length != 4)  return false;

    // Verifica se hأ، apenas caracteres vأ،lidos (nأ؛meros)
    dt = fc_dia + fc_mes + fc_ano;
    for (i = 0; i < dt.length; i++)
    {
        sChar = dt.charAt(i);
        if (sChar < "0" || sChar > "9") return false;
    }

    // Verifica se sأ£o nأ؛meros vأ،lidos
    if (fc_mes < 1 || fc_mes > 12)  return(false);
    if (fc_dia < 1 || fc_dia > 31)  return(false);
    if (fc_ano < 1)  return(false);
    if (fc_mes == 4 || fc_mes == 6 || fc_mes == 9 || fc_mes == 11)
    {
        if (fc_dia == 31)  return(false);
        if (fc_ano < 1753) return(false);
    }

    if (fc_mes == 2)
    {
        fc_a1 = parseInt(fc_ano/4);
        if (isNaN(fc_a1)) { return(false) };
        if (fc_dia > 29) return(false);
        if (fc_dia == 29 && ((fc_ano/4) != parseInt(fc_ano/4))) return(false);
    }

    return(true);
}


function calculaIdade(dt_inicio)
{
    dt_ini = dt_inicio.split('/');

    inicio = new Date(dt_ini[2], dt_ini[1]-1, dt_ini[0]);
    fim = new Date();

    dif = fim.getTime() - inicio.getTime();
    dia = 1000 * 60 * 60 * 24;
    diaDif = dif / dia;
    return parseInt(diaDif/365);
}

function checkMulheres()
{

    for(i=1;i<=10;i++)
    {
       objSexo2 = document.getElementById('form_2_sexopessoafamilia' + i );
       objSexo1 = document.getElementById('form_1_sexopessoafamilia' + i );

       if ((objSexo1.value == 'F') || (objSexo2.value == 'F'))
       {
           //sَ limpa os valores se nمo estiver habilitado
           if (document.getElementsByName('form_gravidezprecocedomicusuario')[0].disabled)
           {
            cleanAllBoxes('form_gravidezprecocedomicusuario');

           }
           //habilita  10
           enableAllBoxes('form_gravidezprecocedomicusuario');
           return true;
       }
    }

    //se nمo saiu, é pq nمo tem ninguém. Desabilitar perguntas 10
    cleanAndDisableAllBoxes('form_gravidezprecocedomicusuario');

    document.getElementsByName('form_gravidezprecocedomicusuario')[2].checked = true;
    checkFaixaEtaria('N');
}


function checkMenores15anos()
{

    for(i=1;i<=10;i++)
    {
       objDtNasc = document.getElementById('form_2_datanascfamilia' + i );

       if (objDtNasc.value != '')
       {
           //sَ limpa os valores se nمo estiver habilitado
           if (document.getElementsByName('form_criancadomictrabusuario')[0].disabled)
           {
            cleanAllBoxes('form_criancadomictrabusuario');
            cleanAllBoxes('form_medidasocioeducativausuario');
            cleanAllBoxes('form_frequentaabrigousuario');
            cleanAllBoxes('form_acompconselhotutelarusuario');
           }

           //habilita  11,12,13 e 15
           enableAllBoxes('form_criancadomictrabusuario');
           enableAllBoxes('form_medidasocioeducativausuario');
           enableAllBoxes('form_frequentaabrigousuario');
           enableAllBoxes('form_acompconselhotutelarusuario');
           return true;
       }
    }

    //se nمo saiu, é pq nمo tem ninguém. Desabilitar perguntas 11, 12, 13 e 15
    cleanAndDisableAllBoxes('form_criancadomictrabusuario');
    cleanAndDisableAllBoxes('form_medidasocioeducativausuario');
    cleanAndDisableAllBoxes('form_frequentaabrigousuario');
    cleanAndDisableAllBoxes('form_acompconselhotutelarusuario');

    document.getElementsByName('form_criancadomictrabusuario')[2].checked = true;
    document.getElementsByName('form_medidasocioeducativausuario')[3].checked = true;
    document.getElementsByName('form_frequentaabrigousuario')[3].checked = true;
    document.getElementsByName('form_acompconselhotutelarusuario')[3].checked = true;

    checkAbrigo('N');

}

function checkQ7(p)
{
     q7 = document.getElementsByName('form_usuarioapoio[]');

     if (p == '4')
     {
          cleanAndDisableAllBoxes('form_usuariotipoapoio[]');
     }
     else
     {
          enableAllBoxes('form_usuariotipoapoio[]');
     }

     if ((p == '1') || (p == '2') || (p == '3'))
     {
         q7[3].checked = false;
         q7[4].checked = false;
         return;
     }

     if ((p == '4') || (p == '5'))
     {
         q7[0].checked = false;
         q7[1].checked = false;
         q7[2].checked = false;

         if ((p == '4'))
         {
             q7[4].checked = false;
         }
         else
         {
             q7[3].checked = false;
         }
         return;
     }

}

function checkQ8(p)
{
     q8 = document.getElementsByName('form_usuariotipoapoio[]');
     p = parseInt(p);
     if (p <= 9)
     {
         q8[9].checked = false;
         return;
     }

     if (p == 10)
     {

         for(i=0;i<=8;i++)
         {
             q8[i].checked = false;
         }

         return;
     }

}

/*
function checkCopiaDados()
{
    objNome = document.getElementById('form_nomeUsuario');
    objDtNasc = document.getElementById('form_dataNascimentoUsuario');

    if ((objNome.value != '') && (objDtNasc.value != '') && (ValidaRadioObrigatorio('form_sexoUsuario')))
    {
        if (document.getElementsByName('form_sexoUsuario')[0].checked)
        {
            sexo = 'M';
        }
        else
        {
            sexo = 'F';
        }

        idade = calculaIdade(objDtNasc.value);

       //menores de 15 anos
       if ((idade < 15) && (idade >= 0))
       {
            document.getElementById('form_2_nomemembrofamilia1').value = objNome.value;
            document.getElementById('form_2_datanascfamilia1').value = objDtNasc.value;
            document.getElementById('form_2_sexopessoafamilia1').value = sexo;
            document.getElementById('form_2_grauparentesco1').value = '1';

            copiou0a14anos = true;

            if (copiou15anos)
            {
                //remover
                copiou15anos = false;
                document.getElementById('form_1_nomemembrofamilia1').value = '';
                document.getElementById('form_1_datanascfamilia1').value = '';
                document.getElementById('form_1_sexopessoafamilia1').value = '';
                document.getElementById('form_1_grauparentesco1').value = '';
            }


            checkSemEndereco();
            checkMenores15anos();
            checkMulheres();
            check60anos();
       }
       //a partir de 15 anos
       else
       {
          if (idade >= 15)
          {
            document.getElementById('form_1_nomemembrofamilia1').value = objNome.value;
            document.getElementById('form_1_datanascfamilia1').value = objDtNasc.value;
            document.getElementById('form_1_sexopessoafamilia1').value = sexo;
            document.getElementById('form_1_grauparentesco1').value = '1';

            copiou15anos = true;

            if (copiou0a14anos)
            {
                //remover
                copiou0a14anos = false;
                document.getElementById('form_2_nomemembrofamilia1').value = '';
                document.getElementById('form_2_datanascfamilia1').value = '';
                document.getElementById('form_2_sexopessoafamilia1').value = '';
                document.getElementById('form_2_grauparentesco1').value = '';
            }

            checkSemEndereco();
            checkMenores15anos();
            checkMulheres();
            check60anos();
          }
       }
    }
}
*/

function check60anos()
{

    for(i=1;i<=10;i++)
    {
       objDtNasc = document.getElementById('form_1_datanascfamilia' + i );

       if (objDtNasc.value != '')
       {
           idade = calculaIdade(objDtNasc.value);

           if(idade >= 60)
           {
                //sَ limpa os valores se nمo estiver habilitado
               if (document.getElementsByName('form_frequentaabrigoidosousuario')[0].disabled)
               {
                cleanAllBoxes('form_frequentaabrigoidosousuario');
               }

               //habilita  14
               enableAllBoxes('form_frequentaabrigoidosousuario');

               return true;
           }

       }
    }

    //se nمo saiu, é pq nمo tem ninguém. Desabilitar perguntas 14
    cleanAndDisableAllBoxes('form_frequentaabrigoidosousuario');
    document.getElementsByName('form_frequentaabrigoidosousuario')[3].checked = true;

    checkAbrigoIdoso('N');
}


function valida15(obj)
{
   if (obj.value == '')
   {   check60anos();
       return false;
   }


   if (!ValidaData(obj.value))
   {
       alert('Data de nascimento incorreta.');
       setTimeout("document.getElementById('" + obj.id + "').focus();",1);
       return false;
   }

   idade = calculaIdade(obj.value);

   if ( idade < 15)
   {
       alert('Idade deve ser superior a 15 anos.');
       setTimeout("document.getElementById('" + obj.id + "').focus();",1);
       return false;
   }

   check60anos();
   return true;
}

function valida0a14(obj)
{
   if (obj.value == '')
   {
       checkMenores15anos();
       return false;
   }

   if (!ValidaData(obj.value))
   {
       alert('Data de nascimento incorreta.');
       setTimeout("document.getElementById('" + obj.id + "').focus();",1);
       return false;
   }

   idade = calculaIdade(obj.value);

   if (( idade > 14) || (idade < 0))
   {
       alert('Idade deve ser entre 0 e 14 anos.');
       setTimeout("document.getElementById('" + obj.id + "').focus();",1);
       return false;
   }

   checkMenores15anos();
   return true;
}


/*------------------------------------------------------------------------
        				Change Background FUNCTION
-------------------------------------------------------------------------*/
function resetColorLabels(is,ls)
{
	var obj = document.getElementsByTagName('input');
	for (var i=0; i < obj.length; i++)
		if (obj[i].type == "text" || obj[i].type == "checkbox")
			obj[i].className = is;

	var l = document.getElementsByTagName('label');
	for (var i=0; i < l.length; i++)
		l[i].className = ls;

	var os = document.getElementsByTagName('select');
	for (var i=0; i < os.length; i++)
		os[i].className = is;
}

/*------------------------------------------------------------------------
        				Change Background FUNCTION
-------------------------------------------------------------------------*/
function changeBack(nLabel, nField, sLabel, sField)
{
	var oLabel = document.getElementById(nLabel);
	var oField = document.getElementById(nField);

	if (oLabel)
		oLabel.className = sLabel;

	//if (oField)
	//{
	//	oField.className = sField;
		/*oField.focus();*/
	//}

    oField = document.getElementsByName(nField);

    if (oField.length > 0)
    {
        var i=0;
        for(i=0;i<oField.length;i++)
        {
            oField[i].className = sField;
        }
    }
}

/*------------------------------ END -------------------------------------*/



function checkQualDemanda(p)
{
   if(p)
    {
        document.getElementById('form_demandaoutrosusuario').disabled = false;
    }
    else
    {
        document.getElementById('form_demandaoutrosusuario').value = '';
        document.getElementById('form_demandaoutrosusuario').disabled = true;
    }
}

function checkorigem_demanda(p)
{
    document.getElementById('origem_demanda').innerHTML = '<b>' + p + '</b>';
}

function checkEncaminhaOutros(p)
{
    if(p)
    {
        document.getElementById('form_destinodemandaoutros').disabled = false;
    }
    else
    {
        document.getElementById('form_destinodemandaoutros').value = '';
        document.getElementById('form_destinodemandaoutros').disabled = true;
    }
}

function checkEncaminha(p)
{
    if(p=='ES')
    {
        enableAllBoxes('form_destinodemanda[]');
        //document.getElementById('form_destinodemandaoutros').disabled = false;
    }
    else
    {
        disableAllBoxes('form_destinodemanda[]');
        document.getElementById('form_destinodemandaoutros').value = '';
        document.getElementById('form_destinodemandaoutros').disabled = true;
    }
}

function checkCampoValor(p, nomeCampo)
{
    if(p=='S')
    {
        document.getElementById(nomeCampo).disabled = false;
    }
    else
    {
       document.getElementById(nomeCampo).disabled = true;
       document.getElementById(nomeCampo).value = '';
    }
}


function checkCadSUS(p)
{
   if(p=='S')
   {
     enableAllBoxes('form_nrocadsususuarioapresentada');
     enableAllBoxes('form_nrocadsususuariodigitalizada');
/*
     document.getElementsByName('form_nrocadsususuarioapresentada')[1].checked=true;
     document.getElementsByName('form_nrocadsususuariodigitalizada')[1].checked=true;
*/
     document.getElementById('form_nrocadsususuario').disabled=false;
   }
   else
   {
       disableAllBoxes('form_nrocadsususuarioapresentada');
       disableAllBoxes('form_nrocadsususuariodigitalizada');
       document.getElementById('form_nrocadsususuario').value='';
       document.getElementById('form_nrocadsususuario').disabled=true;
   }

}


function checkAbrigo(p)
{
   if(p=='S')
   {
     enableAllBoxes('form_idabrigousuario');
   }
   else
   {
     document.getElementById('form_idabrigousuario').value='';
     disableAllBoxes('form_idabrigousuario');
   }
}


function checkAbrigoIdoso(p)
{
   if(p=='S')
   {
     enableAllBoxes('form_idabrigoidosousuario');
   }
   else
   {
     document.getElementById('form_idabrigoidosousuario').value='';
     disableAllBoxes('form_idabrigoidosousuario');
   }
}


function checkFaixaEtaria(p)
{
   if(p=='S')
   {
     enableAllBoxes('form_faixagravidezprecocedomicusuario');
   }
   else
   {
     disableAllBoxes('form_faixagravidezprecocedomicusuario');
   }
}



function checkCPF(p)
{
   if(p=='S')
   {
     document.getElementById('form_cpfusuario').disabled=false;
   }
   else
   {
       document.getElementById('form_cpfusuario').value='';
       document.getElementById('form_cpfusuario').disabled=true;
   }

}

function checkRG(p)
{
   if(p=='S')
   {
     enableAllBoxes('form_rgusuarioapresentada');
     enableAllBoxes('form_rgusuariodigitalizada');
     document.getElementById('form_rgusuario').disabled=false;

     document.getElementById('form_rgusuarioestado').disabled=false;
     document.getElementById('form_rgusuariodataemissao').disabled=false;
     document.getElementById('form_rgusuarioorgaoemissor').disabled=false;
     document.getElementById('lbDataRG').disabled=false;
     document.getElementById('lbDataRG').style.display='';
/*     document.getElementById('form_semdocumentosusuario').checked=false; */
   }
   else
   {
       disableAllBoxes('form_rgusuarioapresentada');
       disableAllBoxes('form_rgusuariodigitalizada');
       document.getElementById('form_rgusuario').value='';
       document.getElementById('form_rgusuario').disabled=true;
       document.getElementById('form_rgusuarioestado').disabled=true;
       document.getElementById('form_rgusuariodataemissao').disabled=true;
       document.getElementById('form_rgusuariodataemissao').value='';
       document.getElementById('form_rgusuarioorgaoemissor').disabled=true;
       document.getElementById('lbDataRG').style.display='none';
   }
}


function checkCTPS(p)
{
   if(p=='S')
   {
     enableAllBoxes('form_carteiratrabusuarioapresentada');
     enableAllBoxes('form_carteiratrabusuariodigitalizada');
     document.getElementById('form_carteiratrabusuario').disabled=false;

     document.getElementById('form_carteiratrabusuarioestado').disabled=false;
     document.getElementById('form_carteiratrabusuarioserie').disabled=false;

       document.getElementById('form_carteiratrabusuariodataemissao').disabled=false;

     document.getElementById('lbDataCTPS').style.display='';
 /*    document.getElementById('form_semdocumentosusuario').checked=false; */
   }
   else
   {
       disableAllBoxes('form_carteiratrabusuarioapresentada');
       disableAllBoxes('form_carteiratrabusuariodigitalizada');
       document.getElementById('form_carteiratrabusuario').value='';
       document.getElementById('form_carteiratrabusuario').disabled=true;

       document.getElementById('form_carteiratrabusuarioestado').disabled=true;
       document.getElementById('form_carteiratrabusuarioserie').disabled=true;

       document.getElementById('form_carteiratrabusuarioserie').value='';
       document.getElementById('form_carteiratrabusuariodataemissao').value='';

       document.getElementById('lbDataCTPS').style.display='none';
   }
}


function checkCertidao(p)
{
   if(p=='S')
   {
     enableAllBoxes('form_certidaocartoriousuarioapresentada');
     enableAllBoxes('form_certidaocartoriodigitalizadausuario');

     document.getElementById('form_certidaotipousuario').disabled=false;

     document.getElementById('form_certidaofolhausuario').disabled=false;
     document.getElementById('form_certidaotermousuario').disabled=false;
     document.getElementById('form_certidaolivrousuario').disabled=false;
     document.getElementById('form_certidaocartoriousuario').disabled=false;

     document.getElementById('lbDataCertidao').style.display='';
/*     document.getElementById('form_semdocumentosusuario').checked=false; */
   }
   else
   {
       disableAllBoxes('form_certidaocartoriousuarioapresentada');
       disableAllBoxes('form_certidaocartoriodigitalizadausuario');

       document.getElementById('form_certidaotipousuario').disabled=true;

       document.getElementById('form_certidaofolhausuario').disabled=true;
       document.getElementById('form_certidaotermousuario').disabled=true;
       document.getElementById('form_certidaolivrousuario').disabled=true;
       document.getElementById('form_certidaocartoriousuario').disabled=true;

       document.getElementById('form_certidaofolhausuario').value='';
       document.getElementById('form_certidaotermousuario').value='';
       document.getElementById('form_certidaolivrousuario').value='';
       document.getElementById('form_certidaocartoriousuario').value='';

       document.getElementById('form_certidaousuariodataemissao').value='';
       document.getElementById('lbDataCertidao').style.display='none';
   }
}


function checkEleitor(p)
{
   if(p=='S')
   {
     enableAllBoxes('form_titeleitorusuarioapresentada');
     enableAllBoxes('form_titeleitorusuariodigitalizada');

     document.getElementById('form_titeleitorusuario').disabled=false;
     document.getElementById('form_titeleitorusuariozona').disabled=false;
     document.getElementById('form_titeleitorusuariosecao').disabled=false;
/*     document.getElementById('form_semdocumentosusuario').checked=false; */


   }
   else
   {
       disableAllBoxes('form_titeleitorusuarioapresentada');
       disableAllBoxes('form_titeleitorusuariodigitalizada');

       document.getElementById('form_titeleitorusuario').value='';
       document.getElementById('form_titeleitorusuario').disabled=true;

       document.getElementById('form_titeleitorusuariozona').value='';
       document.getElementById('form_titeleitorusuariozona').disabled=true;

       document.getElementById('form_titeleitorusuariosecao').value='';
       document.getElementById('form_titeleitorusuariosecao').disabled=true;
   }
}


function checkPIS(p)
{
   if(p=='S')
   {
     enableAllBoxes('form_pispasepusuarioapresentada');
     enableAllBoxes('form_pispasepusuariodigitalizada');

     document.getElementById('form_pispasepusuario').disabled=false;
 /*    document.getElementById('form_semdocumentosusuario').checked=false; */


   }
   else
   {
       disableAllBoxes('form_pispasepusuarioapresentada');
       disableAllBoxes('form_pispasepusuariodigitalizada');

       document.getElementById('form_pispasepusuario').value='';
       document.getElementById('form_pispasepusuario').disabled=true;
   }
}


function checkCNH(p)
{
   if(p=='S')
   {
     enableAllBoxes('form_cartmotoristaapresentada');
     enableAllBoxes('form_cartmotoristadigitalizada');

     document.getElementById('form_cartmotoristausuario').disabled=false;
 /*    document.getElementById('form_semdocumentosusuario').checked=false;  */


   }
   else
   {
       disableAllBoxes('form_cartmotoristaapresentada');
       disableAllBoxes('form_cartmotoristadigitalizada');

       document.getElementById('form_cartmotoristausuario').value='';
       document.getElementById('form_cartmotoristausuario').disabled=true;
   }
}

function checkCorrespondencia(acao)
{

    if (acao=='copiar')
    {
       document.getElementById('linhaCorresp1').style.display = 'none';
       document.getElementById('linhaCorresp2').style.display = 'none';
    }
    else
    {
       document.getElementById('linhaCorresp1').style.display = '';
       document.getElementById('linhaCorresp2').style.display = '';
    }

}

function disableFatherMotherByCheck(nCheck,nText,nRadio,nText2,nRadio2,v1,v2,v3,v4)
{
	if (document.getElementById(nCheck).checked == true)
	{
		document.getElementById(nText).value = '';
		document.getElementById(nText).disabled = true;

		cleanAndDisableAllBoxes(nRadio);

		document.getElementById(nText2).value = '';
		document.getElementById(nText2).disabled = true;

		cleanAndDisableAllBoxes(nRadio2);
	}
	else
	{
		document.getElementById(nText).disabled = false;
		document.getElementById(nText).value = v1;

		enableAllSetValue(nRadio,v2);

		document.getElementById(nText2).disabled = false;
		document.getElementById(nText2).value = v3;

		enableAllSetValue(nRadio2,v4);
	}
}

function enableAllSetValue(nBox, v)
{
	var field = document.getElementsByName(nBox);
	for (i = 0; i < field.length; i++)
	{
		field[i].disabled = false;
		if (field[i].value == v)
		{
			field[i].checked = true;
			break;
		}
	}
}

function disableByNoBrothers()
{
	document.getElementById('form_nomeIrmao1').value='';
	document.getElementById('form_nomeIrmao1').disabled=true;
	document.getElementById('form_codigoEscolaIrmao1').options[0].selected=true;
	document.getElementById('form_codigoEscolaIrmao1').disabled = true;
	cleanAndDisableAllBoxes('form_escolaridadeIrmao1');

	document.getElementById('form_nomeIrmao2').value='';
	document.getElementById('form_nomeIrmao2').disabled=true;
	document.getElementById('form_codigoEscolaIrmao2').options[0].selected=true;
	document.getElementById('form_codigoEscolaIrmao2').disabled = true;
	cleanAndDisableAllBoxes('form_escolaridadeIrmao2');

	document.getElementById('form_nomeIrmao3').value='';
	document.getElementById('form_nomeIrmao3').disabled=true;
	document.getElementById('form_codigoEscolaIrmao3').options[0].selected=true;
	document.getElementById('form_codigoEscolaIrmao3').disabled = true;
	cleanAndDisableAllBoxes('form_escolaridadeIrmao3');

	document.getElementById('form_nomeIrmao4').value='';
	document.getElementById('form_nomeIrmao4').disabled=true;
	document.getElementById('form_codigoEscolaIrmao4').options[0].selected=true;
	document.getElementById('form_codigoEscolaIrmao4').disabled = true;
	cleanAndDisableAllBoxes('form_escolaridadeIrmao4');

	document.getElementById('form_nomeIrmao5').value='';
	document.getElementById('form_nomeIrmao5').disabled=true;
	document.getElementById('form_codigoEscolaIrmao5').options[0].selected=true;
	document.getElementById('form_codigoEscolaIrmao5').disabled = true;
	cleanAndDisableAllBoxes('form_escolaridadeIrmao5');

}

function enableByYesBrothers()
{
	document.getElementById('form_nomeIrmao1').disabled=false;
	document.getElementById('form_nomeIrmao1').value='';
	document.getElementById('form_codigoEscolaIrmao1').disabled = false;
	document.getElementById('form_codigoEscolaIrmao1').options[0].selected=true;
	cleanAndEnableAllBoxes('form_escolaridadeIrmao1');

	document.getElementById('form_nomeIrmao2').disabled=false;
	document.getElementById('form_nomeIrmao2').value='';
	document.getElementById('form_codigoEscolaIrmao2').disabled = false;
	document.getElementById('form_codigoEscolaIrmao2').options[0].selected=true;
	cleanAndEnableAllBoxes('form_escolaridadeIrmao2');

	document.getElementById('form_nomeIrmao3').disabled=false;
	document.getElementById('form_nomeIrmao3').value='';
	document.getElementById('form_codigoEscolaIrmao3').disabled = false;
	document.getElementById('form_codigoEscolaIrmao3').options[0].selected=true;
	cleanAndEnableAllBoxes('form_escolaridadeIrmao3');

	document.getElementById('form_nomeIrmao4').disabled=false;
	document.getElementById('form_nomeIrmao4').value='';
	document.getElementById('form_codigoEscolaIrmao4').disabled = false;
	document.getElementById('form_codigoEscolaIrmao4').options[0].selected=true;
	cleanAndEnableAllBoxes('form_escolaridadeIrmao4');

	document.getElementById('form_nomeIrmao5').disabled=false;
	document.getElementById('form_nomeIrmao5').value='';
	document.getElementById('form_codigoEscolaIrmao5').disabled = false;
	document.getElementById('form_codigoEscolaIrmao5').options[0].selected=true;
	cleanAndEnableAllBoxes('form_escolaridadeIrmao5');
}

function cleanAndDisableAllBoxes(nBox)
{
	var field = document.getElementsByName(nBox);
	for (i = 0; i < field.length; i++) {
		field[i].checked = false;
		field[i].disabled = true;
	}
}


function cleanAllBoxes(nBox)
{
    var field = document.getElementsByName(nBox);
    for (i = 0; i < field.length; i++) {
        field[i].checked = false;
    }
}

function cleanAndEnableAllBoxes(nBox)
{
	var field = document.getElementsByName(nBox);
	for (i = 0; i < field.length; i++) {
		field[i].checked = false;
		field[i].disabled = false;
	}
}

function disableAllBoxes(nBox)
{
	var field = document.getElementsByName(nBox);
	for (i = 0; i < field.length; i++)
    {
		field[i].disabled = true;
        if (field[i].type == "radio" || field[i].type == "checkbox")
        {
             field[i].checked = false;
        }
    }

}

function enableAllBoxes(nBox)
{
	var field = document.getElementsByName(nBox);
	for (i = 0; i < field.length; i++)
		field[i].disabled = false;

}

function cleanByChecked(fText,fCheck,v)
{
	if (document.getElementById(fCheck).checked == true)
	{
		document.getElementById(fText).value = '';
		document.getElementById(fText).disabled = true
//		unblockByGeoIguacu();
	}
	else
	{
		document.getElementById(fText).disabled = false;
		document.getElementById(fText).value = v;
//		blockByGeoIguacu();
	}
}


function uncheckByText(fCheck,fText)
{
	if (document.getElementById(fText).value != '')
	{
		document.getElementById(fCheck).checked = false;
	}
	else
	{
		document.getElementById(fCheck).checked = true;
	}
}

function cleanNationalityCountrySource()
{
	var field = document.getElementsByName('form_nacionalidadeUsuario');
	var destField = document.getElementById('form_codigoPaisUsuario');

	/* CASO NO CAMPO UF NASCIMENTO ESTEJA VALOR N/A */
	if (document.getElementById('form_ufNascimentoUsuario').value == 0)
	{
		/* DESABILITA TODOS OS CAMPOS DE NACIONALIDADE */
		for (var i=0; i < field.length; i++)
		{
			field[i].checked = false;
		}

		/* DESMARCA PAIS DE ORIGEM */
		destField.options[0].selected = true;
	}
	else /* CASO CAMPO DE UF SEJA ALGUM ESTADO */
	{
		/* PARA TODOS OS RADIOS DE NACIONALIDADE */
		for (var i=0; i < field.length; i++)
		{
			/* DESMARCA NACIONALIDADES */
			field[i].checked = false;

			/* CASO SEJA BRASILEIRA */
			if ( field[i].value == 1 )
			{
				/* MARCA NACIONALIDADE BRASILEIRA */
				field[i].checked = true;
				break;
			}
		}

		/* PARA TODOS OS VALORES DE SELECT */
		for (var i=0; i < destField.length; i++)
		{
			/* SE A OPCAO E BRASIL */
			if (destField.options[i].text=='BRASIL')
			{
				/* MARCA O PAIS DE ORIGEM BRASIL */
				destField.options[i].selected = true;
				break;
			}
		}
	}
}

function checkNationality()
{
	var field = document.getElementsByName('form_nacionalidadeUsuario');
	var destField = document.getElementById('form_codigoPaisUsuario');

	var fieldUFNasc = document.getElementById('form_ufNascimentoUsuario');
	var fieldMuniNasc = document.getElementById('form_codigoMunicipioUsuario');

	if (!field)
	{
		alert('Campo ' + field + ' nao existe!');
		return false;
	}

	var index=0;
	for (var i=0; i < field.length; i++)
	{


    	/* SE EXTRANGEIRA */
		if(field[i].checked && (field[i].value == 2 || field[i].value == 3))
		{

			/* SELECIONA O PRIMEIRO ITEM DA LISTA DE PAISES */
			destField.options[index].selected = true;

			/* SELECIONA A UF N/A DA LISTA DE UFs */
			fieldUFNasc.options[fieldUFNasc.length-1].selected = true;

			/* LIMPANDO A LISTA DE MUNICIPIOS */
			fieldMuniNasc.innerHTML = null;
			//select_innerHTML(fieldMuniNasc,null);

			return false;
		}

		/* SE BRASILEIRA */
		if(field[i].checked && (field[i].value == 1))
		{
			/* SELECIONA UF NASCIMENTO PARA PRIMEIRO DA LISTA */
			fieldUFNasc.options[index].selected = true;

			/* SELECIONA AS LISTAS DE MUNICIPIOS BASEADO NO ESTADO */
			do_cityByState('form_ufNascimentoUsuario');

			return false;
		}


	}

	/* SE BRASILEIRA value == 1 */
	for (var i=0; i < destField.length; i++)
	{
		if (destField.options[i].text=='BRASIL')
		{
			destField.options[i].selected = true;
			break;
		}
	}

}

function checkCountryStudent()
{
	var field = document.getElementById('form_codigoPaisUsuario');
	var destField = document.getElementsByName('form_nacionalidadeUsuario');

	if (!field)
	{
		alert('Campo ' + field + ' nao existe!');
		return false;
	}

	/* SE SELECIONOU NA LISTA O PAIS BRASIL */
	if(field[field.selectedIndex].text=='BRASIL')
	{
		for (var i=0; i < destField.length; i++)
		{
			/* SE EXTRANGEIRA */
			if(destField[i].value == 2 || destField[i].value == 3)
			{
				/* DESMARCA A OPCAO EXTRANGEIRA */
				destField[i].checked = false;
			}
			else
			{
				/* MARCA A OPCAO BRASILEIRA */
				destField[i].checked = true;
                checkNationality();
			}
		}
	}
	else
	{
		for (var i=0; i < destField.length; i++)
		{
			/* SE EXTRANGEIRA */
			if (destField[i].checked && destField[i].value == 1)
			{
				/* MARCA A OPCAO BRASILEIRA */
				destField[i].checked = false;

				/* MARCA A OPCAO EXTRANGEIRA */
				destField[2].checked = true;

                var fieldUFNasc = document.getElementById('form_ufNascimentoUsuario');
                var fieldMuniNasc = document.getElementById('form_codigoMunicipioUsuario');

                fieldUFNasc.options[fieldUFNasc.length-1].selected = true;

                /* LIMPANDO A LISTA DE MUNICIPIOS */
                fieldMuniNasc.innerHTML = null;
                //select_innerHTML(fieldMuniNasc,null);

				break;
			}
		}
	}

	return true;
}

function uncheckBoxByYesNo(oRadio)
{
	var field = document.getElementsByName(oRadio);

	if (!field)
	{
		alert('Campo ' + field + ' nao existe!');
		return false;
	}

	for (var i=0; i < field.length; i++)
	{
		field[i].checked = false;
		field[i].disabled = true;
	}
}

function checkBoxByYesNo(oRadio)
{
	var field = document.getElementsByName(oRadio);

	if (!field)
	{
		alert('Campo ' + field + ' nao existe!');
		return false;
	}

	for (var i=0; i < field.length; i++)
	{
		field[i].disabled = false;
		if (field[i].value == 1)
		{
			field[i].checked = true;
		}
	}
}

function cleanTextField(nome_id){
getElement(nome_id).value = "";
}

function getElement(id) {
return document.getElementById ? document.getElementById(id) :
document.all ? document.all(id) : null;
}



/*[]---------------------------------------------------------------------------------------------[]
  |FUNCOES PARA AJAX                                                                             |
  []---------------------------------------------------------------------------------------------[]*/
function do_cityByStateMuniNasciUsuario_cb(s) {
	document.getElementById('form_codigoMunicipioUsuario').innerHTML = null;
	select_innerHTML(document.getElementById('form_codigoMunicipioUsuario'), s);

	/*document.getElementById('form_codigoMunicipioNascimentoUsuario').innerHTML = null;
	document.getElementById('form_codigoMunicipioNascimentoUsuario').innerHTML = s;*/
}

function do_cityByStateLogUfUsuario_cb(s) {
	document.getElementById('form_logradouroCidadeUsuario').innerHTML = null;
	select_innerHTML(document.getElementById('form_logradouroCidadeUsuario'), s);

/*	document.getElementById('form_logradouroCidadeUsuario').innerHTML = null;
	document.getElementById('form_logradouroCidadeUsuario').innerHTML = s;*/
}

function do_cityByStateLogCorrespUfUsuario_cb(s) {
    document.getElementById('form_logradourocorrespcidadeusuario').innerHTML = null;
    select_innerHTML(document.getElementById('form_logradourocorrespcidadeusuario'), s);

/*    document.getElementById('form_logradouroCidadeUsuario').innerHTML = null;
    document.getElementById('form_logradouroCidadeUsuario').innerHTML = s;*/
}

function do_cityByState(n) {
	var f = document.getElementById(n);
	var idx = f.selectedIndex;
	var val = f.options[idx].value;

   	if (n == 'form_ufNascimentoUsuario') {
   		x_cityByState(val, do_cityByStateMuniNasciUsuario_cb);
   		cleanNationalityCountrySource();
   }
   else {
        if (n == 'form_logradourocorrespufusuario')
        {
           x_cityByState(val, do_cityByStateLogCorrespUfUsuario_cb);
           cleanNationalityCountrySource();
        }
        else
        {
           x_cityByState(val, do_cityByStateLogUfUsuario_cb);
        }
   }
}

/* Funcoes para geoiguacu */

function checkGeoIguacu()
{
    if (document.getElementById('form_logradouroGeoiguacuUsuario').value != '')
    {
       disableAllBoxes('form_logradourotipojustificativa');
       cleanAndDisableAllBoxes('form_logradourojustificativausuario');
       document.getElementById('form_logradouroNaoCadastrado').checked = false;
       document.getElementById('form_logradourojustificativausuario').value = '';
       document.getElementsByName('form_logradourotipojustificativa')[0].checked = false;
       document.getElementsByName('form_logradourotipojustificativa')[1].checked = false;
    }
    else
    {
       enableAllBoxes('form_logradourotipojustificativa');
       cleanAndEnableAllBoxes('form_logradourojustificativausuario');
    }
}

function checkSemEndereco()
{
    if (!(
        (document.getElementById('form_logradouroGeoiguacuUsuario').value=='') &&
        (document.getElementById('form_logradouroNomeUsuario').value=='') &&
        (document.getElementById('form_logradouroNumeroUsuario').value=='') &&
        (document.getElementById('form_logradouroComplementoUsuario').value=='') &&
        (document.getElementById('form_logradouroBairroUsuario').value=='') &&
        (document.getElementById('form_logradouroCepUsuario').value=='') &&
        (!document.getElementById('form_logradouroNaoCadastrado').checked)
       ))
    {
       document.getElementById('form_logradouroTipoUsuario').value='';
    }
}

function checkJustificativa(obj)
{
    if (obj.checked)
    {
        document.getElementById('form_logradourojustificativausuario').disabled = false;
        if (document.getElementById('form_logradouroUfUsuario').value == '33' &&
            document.getElementById('form_logradouroCidadeUsuario').value == '3303500')
        {
               document.getElementsByName('form_logradourotipojustificativa')[1].checked=true;
        }
        else
           enableAllBoxes('form_logradourotipojustificativa');
    }
    else
    {
        document.getElementById('form_logradourojustificativausuario').value = '';
        document.getElementById('form_logradourojustificativausuario').disabled = true;

        disableAllBoxes('form_logradourotipojustificativa');

        document.getElementsByName('form_logradourotipojustificativa')[0].checked = false;
        document.getElementsByName('form_logradourotipojustificativa')[1].checked = false;
    }
}

function cleanAndDisableGeoIguacu()
{
    document.getElementById('form_logradouroNaoCadastrado').disabled=false;
    document.getElementById('form_logradouroGeoiguacuUsuario').disabled=true;
    document.getElementById('form_logradourojustificativausuario').disabled=false;
    document.getElementsByName('form_logradourotipojustificativa')[0].disabled=false;
    document.getElementsByName('form_logradourotipojustificativa')[1].disabled=false;
	if ((document.getElementById('form_logradouroCidadeUsuario').value != '3303500') ||
        (document.getElementById('form_logradouroUfUsuario').value != '33'))
	{
		document.getElementById('form_logradouroNaoCadastrado').checked = true;
		document.getElementById('form_logradouroGeoiguacuUsuario').value = '';
        document.getElementsByName('form_logradourotipojustificativa')[0].checked=true;
        document.getElementsByName('form_logradourotipojustificativa')[1].checked=false;
        document.getElementById('form_logradourojustificativausuario').disabled=true;
	}
	else
	{
		document.getElementById('form_logradouroNaoCadastrado').checked = true;
		document.getElementById('form_logradouroGeoiguacuUsuario').value = '';
        document.getElementsByName('form_logradourotipojustificativa')[1].checked=true;
        document.getElementsByName('form_logradourotipojustificativa')[0].checked=false;
        document.getElementById('form_logradourojustificativausuario').disabled=false;
	}
}

function alterouNomeLogradouro()
{
      isAcentuado('form_logradouroNomeUsuario');
      document.getElementById('form_logradouroNomeUsuario').value =
      document.getElementById('form_logradouroNomeUsuario').value.toUpperCase();

      if (document.getElementById('form_logradouroNomeUsuario').value == '')
         cleanEndereco();
      i=0;
      nomeRua=document.getElementById('form_logradouroNomeUsuario').value;
      nomeTipoPossivel='';
      while (nomeRua[i] != ' ' &&
            nomeRua.length != i)
      {
         nomeTipoPossivel=nomeTipoPossivel+nomeRua[i];
         i+=1;
      }
      if (nomeTipoPossivel in {'RUA':'','AV':'','AL':'','BC':'','CAM':'','EST':'','PC':'','ROD':'','SERV':'','TRV':'','VIA':'','VL':''})
      {
         alert('Digite apenas o nome do logradouro');
//       alert('Nome Logradouro inicia com ' + nomeTipoPossivel);
         return;
      }
    
      if (nomeTipoPossivel in {'AVENIDA':'','ALAMEDA':'','BECO':'','ESTRADA':'','RODOVIA':'','SERVIDAO':'','TRAVESSA':'','VILA':'','PRACA':'','CAMINHO':''})
      {
         alert('Digite apenas o nome do logradouro');
         o=document.getElementById('form_logradouroNomeUsuario');
         setTimeout("o.focus()",250);
         return;
//       alert('Nome Logradouro inicia com ' + nomeTipoPossivel);
      }

      if (document.getElementById('form_logradouroNaoCadastrado').checked==false)
      {
         document.getElementById('form_logradouroNaoCadastrado').checked=true;
         document.getElementById('form_logradouroNaoCadastrado').disabled=false;
         document.getElementById('form_logradouroGeoiguacuUsuario').value ='';
 	     document.getElementById('form_logradouroGeoiguacuUsuario').disabled=true;
         document.getElementById('form_logradourojustificativausuario').disabled=false;
	     document.getElementsByName('form_logradourotipojustificativa')[0].disabled=false;
	     document.getElementsByName('form_logradourotipojustificativa')[1].disabled=false;
      }
}

function alterouComplemento()
{
       isAcentuado('form_logradouroComplementoUsuario');
       document.getElementById('form_logradouroComplementoUsuario').value =
       document.getElementById('form_logradouroComplementoUsuario').value.toUpperCase();
    
       if (document.getElementById('form_logradouroNaoCadastrado').checked==false)
       {
          document.getElementById('form_logradouroNaoCadastrado').checked=true;
          document.getElementById('form_logradouroNaoCadastrado').disabled=false;
          document.getElementById('form_logradouroGeoiguacuUsuario').value ='';
 	      document.getElementById('form_logradouroGeoiguacuUsuario').disabled=true;
          document.getElementById('form_logradourojustificativausuario').disabled=false;
	      document.getElementsByName('form_logradourotipojustificativa')[0].disabled=false;
	      document.getElementsByName('form_logradourotipojustificativa')[1].disabled=false;
       }
}

function alterouNumeroLogradouro()
{
    if (document.getElementById('form_logradouroNaoCadastrado').checked==false)
    {
        document.getElementById('form_logradouroNaoCadastrado').checked=true;
        document.getElementById('form_logradouroNaoCadastrado').disabled=false;
        document.getElementById('form_logradouroGeoiguacuUsuario').value ='';
 	    document.getElementById('form_logradouroGeoiguacuUsuario').disabled=true;
        document.getElementById('form_logradourojustificativausuario').disabled=false;
	    document.getElementsByName('form_logradourotipojustificativa')[0].disabled=false;
	    document.getElementsByName('form_logradourotipojustificativa')[1].disabled=false;
    }
}

function alterouBairroLogradouro()
{
       isAcentuado('form_logradouroBairroUsuario');
       document.getElementById('form_logradouroBairroUsuario').value =
       document.getElementById('form_logradouroBairroUsuario').value.toUpperCase();

       if (document.getElementById('form_logradouroNaoCadastrado').checked==false)
       {
           document.getElementById('form_logradouroNaoCadastrado').checked=true;
           document.getElementById('form_logradouroNaoCadastrado').disabled=false;
           document.getElementById('form_logradouroGeoiguacuUsuario').value ='';
 	       document.getElementById('form_logradouroGeoiguacuUsuario').disabled=true;
           document.getElementById('form_logradourojustificativausuario').disabled=false;
	       document.getElementsByName('form_logradourotipojustificativa')[0].disabled=false;
	       document.getElementsByName('form_logradourotipojustificativa')[1].disabled=false;
      }
}

function alterouCepLogradouro()
{
    if (document.getElementById('form_logradouroNaoCadastrado').checked==false)
    {
        document.getElementById('form_logradouroNaoCadastrado').checked=true;
        document.getElementById('form_logradouroNaoCadastrado').disabled=false;
        document.getElementById('form_logradouroGeoiguacuUsuario').value ='';
 	    document.getElementById('form_logradouroGeoiguacuUsuario').disabled=true;
        document.getElementById('form_logradourojustificativausuario').disabled=false;
	    document.getElementsByName('form_logradourotipojustificativa')[0].disabled=false;
	    document.getElementsByName('form_logradourotipojustificativa')[1].disabled=false;
    }
}

function alterouTipoLogradouro()
{
    if (document.getElementById('form_logradouroNaoCadastrado').checked==false)
    {
        document.getElementById('form_logradouroNaoCadastrado').checked=true;
        document.getElementById('form_logradouroNaoCadastrado').disabled=false;
        document.getElementById('form_logradouroGeoiguacuUsuario').value ='';
 	    document.getElementById('form_logradouroGeoiguacuUsuario').disabled=true;
        document.getElementById('form_logradourojustificativausuario').disabled=false;
	    document.getElementsByName('form_logradourotipojustificativa')[0].disabled=false;
	    document.getElementsByName('form_logradourotipojustificativa')[1].disabled=false;
    }
}

function alterouTipoJustificativa()
{
   if (document.getElementById('form_logradouroUfUsuario').value == '33' &&
       document.getElementById('form_logradouroCidadeUsuario').value == '3303500')
   {
      document.getElementsByName('form_logradourotipojustificativa')[1].checked=true;
      document.getElementsByName('form_logradourotipojustificativa')[0].checked=false;
	  document.getElementById('form_logradourojustificativausuario').disabled=false;
      
   }
   else
   {
      document.getElementsByName('form_logradourotipojustificativa')[1].checked=false;
      document.getElementsByName('form_logradourotipojustificativa')[0].checked=true;
	  document.getElementById('form_logradourojustificativausuario').disabled=true;
   }
}

function alterouJustificativa()
{
    document.getElementById('form_logradourojustificativausuario').value =
    document.getElementById('form_logradourojustificativausuario').value.toUpperCase();
    isAcentuado('form_logradourojustificativausuario');
}

function alterouReferencia()
{
    document.getElementById('form_logradouroPontoReferenciaUsuario').value =
    document.getElementById('form_logradouroPontoReferenciaUsuario').value.toUpperCase();
    isAcentuado('form_logradouroPontoReferenciaUsuario');
}

function cleanEndereco()
{
      document.getElementById('form_logradouroNomeUsuario').value='';
	  document.getElementById('form_logradouroNumeroUsuario').value='';
	  document.getElementById('form_logradouroComplementoUsuario').value='';
	  document.getElementById('form_logradouroPontoReferenciaUsuario').value='';
	  document.getElementById('form_logradouroBairroUsuario').value='';
	  document.getElementById('form_logradouroCepUsuario').value='';
	  document.getElementById('form_logradourojustificativausuario').disabled=false;
      document.getElementById('form_logradourojustificativausuario').value='';
	  document.getElementById('form_logradouroNaoCadastrado').checked=true;
	  document.getElementById('form_logradouroGeoiguacuUsuario').value='';
	  document.getElementById('form_logradouroGeoiguacuUsuario').disabled=true;
	  document.getElementsByName('form_logradourotipojustificativa')[0].disabled=false;
	  document.getElementsByName('form_logradourotipojustificativa')[1].disabled=false;
}

function cleanByCheckedLogradouro(v1, v2)
{
  if (document.getElementById('form_logradouroNaoCadastrado').checked == false &&
      (document.getElementById('form_logradouroUfUsuario').value != '33'       ||
      document.getElementById('form_logradouroCidadeUsuario').value != '3303500'))
  {
    alert('Para incluitr geoiguagu alterar para Rio de janeiro e Nova Iguacu');
    document.getElementById('form_logradouroNaoCadastrado').checked = true;
    document.getElementById('form_logradouroGeoiguacuUsuario').disabled=true;
    document.getElementById('form_logradouroUfUsuario').style.background='yellow';
    document.getElementById('form_logradouroCidadeUsuario').style.background='yellow';

  }
  else
  {
	if (document.getElementById('form_logradouroNaoCadastrado').checked == true)
	{
		document.getElementById('form_logradouroGeoiguacuUsuario').value = '';
		document.getElementById('form_logradouroGeoiguacuUsuario').disabled=true;
 	    document.getElementById('form_logradourojustificativausuario').disabled=false;
	    document.getElementsByName('form_logradourotipojustificativa')[0].disabled=false;
	    document.getElementsByName('form_logradourotipojustificativa')[1].disabled=false;
		
	}
	else
	{
		document.getElementById('form_logradouroGeoiguacuUsuario').disabled = false;
		document.getElementById('form_logradouroGeoiguacuUsuario').value = '';
	}
    document.getElementById('form_logradouroNomeUsuario').value = '';
    document.getElementById('form_logradouroNumeroUsuario').value = '';
    document.getElementById('form_logradouroBairroUsuario').value = '';
    document.getElementById('form_logradouroCepUsuario').value = '';
    document.getElementById('form_logradouroPontoReferenciaUsuario').value = '';
  }
}

function do_getGeoIguacuData_cb(s)
{
	if(!s)
	{
		alert('Numero de GeoIguacu nao encontrado!'+s);
		document.getElementById('form_logradouroGeoiguacuUsuario').value = '';
		cleanEndereco();
        document.getElementById('form_logradouroGeoiguacuUsuario').focus();
		return false;
	}
    document.getElementById('form_logradouroNaoCadastrado').checked = false;
    document.getElementById('form_logradouroNaoCadastrado').disabled = true;
    document.getElementsByName('form_logradourotipojustificativa')[0].disabled=true;
    document.getElementsByName('form_logradourotipojustificativa')[1].disabled=true;
    document.getElementById('form_logradourojustificativausuario').disabled=true;
	var pattern = /\#/;
    var result = new Array();
    result = s.split(pattern);
    document.getElementById('form_logradouroNomeUsuario').value = '';
    document.getElementById('form_logradouroNomeUsuario').value = result[0];
    document.getElementById('form_logradouroNumeroUsuario').value =  null;
    document.getElementById('form_logradouroNumeroUsuario').value =  result[1];
    document.getElementById('form_logradouroComplementoUsuario').value =  null;
    document.getElementById('form_logradouroComplementoUsuario').value =  result[2];
    document.getElementById('form_logradouroBairroUsuario').value =  null;
    document.getElementById('form_logradouroBairroUsuario').value =  result[3];
    document.getElementById('form_logradouroCepUsuario').value =  null;
    document.getElementById('form_logradouroCepUsuario').value =  result[4];
    document.getElementById('form_logradouroTipoUsuario').value = '';
    document.getElementById('form_logradouroTipoUsuario').value = result[5];
    blockByGeoIguacu();
}


function do_getGeoIguacuData(n)
{
	if(!document.getElementById('form_logradouroGeoiguacuUsuario'))
    {
        o=document.getElementById('form_logradouroGeoiguacuUsuario')
        document.getElementById('form_logradouroGeoiguacuUsuario').focus();
		return false;
	}

    if (document.getElementById('form_logradouroGeoiguacuUsuario').value.length == 0)
    {
	  document.getElementById('form_logradouroNaoCadastrado').checked=true;
	  document.getElementById('form_logradouroNaoCadastrado').disabled=false;
      if (document.getElementById('form_logradouroUfUsuario').value == '33' &&
          document.getElementById('form_logradouroCidadeUsuario').value == '3303500')
      {
	     document.getElementsByName('form_logradourotipojustificativa')[0].disabled=false;
	     document.getElementsByName('form_logradourotipojustificativa')[1].disabled=false;
	     document.getElementById('form_logradourojustificativausuario').disabled=false;
         document.getElementsByName('form_logradourotipojustificativa')[1].checked=true;
         document.getElementsByName('form_logradourotipojustificativa')[0].checked=false;
      }
	  else
	  {
	     document.getElementsByName('form_logradourotipojustificativa')[0].disabled=false;
	     document.getElementsByName('form_logradourotipojustificativa')[1].disabled=false;
	     document.getElementById('form_logradourojustificativausuario').disabled=false;
      }
      return true;
    }

	if(document.getElementById('form_logradouroGeoiguacuUsuario').value.length < 8)
	{
      alert('Geoiguacu menor que 8 digitos');
      document.getElementById('form_logradouroGeoiguacuUsuario').value='';
      cleanEndereco();
      document.getElementById('form_logradouroGeoiguacuUsuario').focus();
      return false;
    }

    if (document.getElementById('form_logradouroUfUsuario').value != '33' &&
        document.getElementById('form_logradouroCidadeUsuario').value != '3303500')
    {
      alert('Alterar para RJ e NovaIguacu');
      document.getElementById('form_logradouroGeoiguacuUsuario').value='';
      cleanEndereco();
      document.getElementById('form_logradouroGeoiguacuUsuario').focus();
      return false;
    }
	x_getGeoIguacuData(document.getElementById('form_logradouroGeoiguacuUsuario').value, do_getGeoIguacuData_cb);
}


/* Funcoes Logradouro Correspondencia */

function alterouNomeLogradouroCorrespondencia()
{
    isAcentuado('form_logradourocorrespnomeusuario');
    document.getElementById('form_logradourocorrespnomeusuario').value =
    document.getElementById('form_logradourocorrespnomeusuario').value.toUpperCase();
    if (document.getElementById('form_logradourocorrespnomeusuario').value == '')
        cleanEndereco();
    i=0;
    nomeRua=document.getElementById('form_logradourocorrespnomeusuario').value;
    nomeTipoPossivel='';
    while (nomeRua[i] != ' ' &&
           nomeRua.length != i)
    {
       nomeTipoPossivel=nomeTipoPossivel+nomeRua[i];
       i+=1;
    }
    if (nomeTipoPossivel in {'RUA':'','AV':'','AL':'','BC':'','CAM':'','EST':'','PC':'','ROD':'','SERV':'','TRV':'','VIA':'','VL':''})
    {
         alert('Digite apenas o nome do logradouro');
       return;
    }

    if (nomeTipoPossivel in {'AVENIDA':'','ALAMEDA':'','BECO':'','ESTRADA':'','RODOVIA':'','SERVIDAO':'','TRAVESSA':'','VILA':'','PRACA':'','CAMINHO':''})
    {
         alert('Digite apenas o nome do logradouro');
         o=document.getElementById('form_logradouroNomeUsuario');
         setTimeout("o.focus()",250);
         return;
    }
}

function alterouComplementoUsuario()
{
    document.getElementById('form_logradourocorrespcomplementousuario').value =
    document.getElementById('form_logradourocorrespcomplementousuario').value.toUpperCase();
    isAcentuado('form_logradourocorrespcomplementousuario');
}

function alterouBairro()
{
    document.getElementById('form_logradourocorrespbairrousuario').value =
    document.getElementById('form_logradourocorrespbairrousuario').value.toUpperCase();
    isAcentuado('form_logradourocorrespbairrousuario');
}


/* Funcoes de Perguntas */

function alterouOutroLazer()
{
    isAcentuado('form_outrolazer');
    document.getElementById('form_outrolazer').value =
    document.getElementById('form_outrolazer').value.toUpperCase();
}


function alterouOutroLocalLazer()
{
    isAcentuado('form_outrolocallazer');
    document.getElementById('form_outrolocallazer').value =
    document.getElementById('form_outrolocallazer').value.toUpperCase();
}




/*[]---------------------------------------------------------------------------------------------[]
  |Funçمo Auxiliar.                                                                               |
  []---------------------------------------------------------------------------------------------[]*/
function isEmpty(s) {
	return ((s == null) || s == '' ||(s.length == 0));
}

function isDigit(c){
	return ( (c >="0") && (c <="9") );
}

function isInteger( s )
{
	var i;
	var success= true;

	if( isEmpty(s) )
		return false;

	// search for all characters for being a proper no.
	for(i=0; i< s.length; i++){
		var c = s.charAt(i);
		if( !isDigit(c) )
			success = false;
	}

	if (!success)
		return success;

	return success;
}

function isAlfabetic(s)
{
   letras='abcdefghijklmnopqrstuvxywz ABCDEFGHIJKLMNOPQRSTUVXYWZ'
   indice=0;
   texto=document.getElementById(s).value;
   while (indice <= (texto.length - 1))
   {
     caracter=texto[indice];
     if (letras.indexOf(caracter,0) == -1)
     {
        alert('Nome deve conter apenas LETRAS e Sem Acentuicao ou Cedilha');
        o=document.getElementById(s);
        setTimeout("o.focus()",250);
        break;
     }
     indice+=1;
   }
   document.getElementById(s).value = document.getElementById(s).value.toUpperCase();
}

function isAcentuado(s)
{
   letras='çÇá� ãâéêíóôõúüÁÁÂÃÉÊÍÓÔÕÚÜ';
   indice=0;
   texto=document.getElementById(s).value;
   while (indice <= (texto.length - 1))
   {
     caracter=texto[indice];
     if (letras.indexOf(caracter,0) != -1 && caracter != ' ')
     {
        alert('Campo contem Acentuacao ou Cedilha');
        o=document.getElementById(s);
        setTimeout("o.focus()",250);
        break;
     }
     indice+=1;
   }
   document.getElementById(s).value = document.getElementById(s).value.toUpperCase();
}

function isNumericVar(texto)
{
   digitos='0123456789';
   indice=0;
   while (indice <= (texto.length - 1))
   {
     caracter=texto[indice];
     if (digitos.indexOf(caracter,0) == -1)
     {
        alert('Somente digitos sao permtidos');
        document.getElementById(s).value='';
        return false;
     }
     indice+=1;
   }
   return true;
}

function isNumeric(s)
{
   digitos='0123456789';
   indice=0;
   texto=document.getElementById(s).value;

   while (indice <= (texto.length - 1))
   {
     caracter=texto[indice];
     if (digitos.indexOf(caracter,0) == -1)
     {
        alert('Somente digitos sao permtidos');
        document.getElementById(s).value='';
        return false;
     }
     indice+=1;
   }
   return true;
}


/*
function verTecla(codigo)
{
    if (codigo >= 97 && codigo <= 122)
       alert('valido');
    else
    {
       alert('invalido');
       return false;
       return document.getElementById('form_nomeUsuario').value;
    }
}
*/


function select_innerHTML(objeto,innerHTML) {
/******
* select_innerHTML - corrige o bug do InnerHTML em selects no IE
* Veja o problema em: http://support.microsoft.com/default.aspx?scid=kb;en-us;276228
* Versمo: 2.1 - 04/09/2007
* Autor: Micox - Nلiron José C. Guimarمes - micoxjcg@yahoo.com.br
* @objeto(tipo HTMLobject): o select a ser alterado
* @innerHTML(tipo string): o novo valor do innerHTML
*******/
	if(!document.all)
	{
		objeto.innerHTML = innerHTML;
		return true;
	}

	objeto.innerHTML = ""
    var selTemp = document.createElement("micoxselect")
    var opt;
    selTemp.id="micoxselect1"
    document.body.appendChild(selTemp)
    selTemp = document.getElementById("micoxselect1")
    selTemp.style.display="none"
    if (innerHTML.toLowerCase().indexOf("<option")<0) { //se nمo é option eu converto
        innerHTML = "<option>" + innerHTML + "</option>"
    }
    innerHTML = innerHTML.toLowerCase().replace(/<option/g,"<span").replace(/<\/option/g,"</span")
    selTemp.innerHTML = innerHTML


    for (var i=0;i<selTemp.childNodes.length;i++) {
		var spantemp = selTemp.childNodes[i];

        if(spantemp.tagName) {
        	opt = document.createElement("OPTION")

			if(document.all)
			{ //IE
				objeto.add(opt)
			}
			else
			{
				objeto.appendChild(opt)
			}

			//getting attributes
			for(var j=0; j<spantemp.attributes.length ; j++) {
				var attrName = spantemp.attributes[j].nodeName;
				var attrVal  = spantemp.attributes[j].nodeValue;
				if (attrVal)
				{
					try
					{
						opt.setAttribute(attrName,attrVal);
						opt.setAttributeNode(spantemp.attributes[j].cloneNode(true));
					}
					catch(e){}
				}
			}
			//getting styles
			if (spantemp.style)
			{
				for (var y in spantemp.style)
				{
					try
					{
						opt.style[y] = spantemp.style[y];
					}
					catch(e){}
				}
			}
			//value and text
			opt.value = spantemp.getAttribute("value")
			opt.text = spantemp.innerHTML
			//IE
			opt.selected = spantemp.getAttribute('selected');
			opt.className = spantemp.className;
		  }
	}
	document.body.removeChild(selTemp)
	selTemp = null
}
